# Class TaskThreadFactory

java.lang.Object
org.apache.tomcat.util.threads.TaskThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

public class TaskThreadFactory extends Object implements ThreadFactory
Simple task thread factory to use to create threads for an executor implementation.

## Constructor Summary

Constructors
Constructor
Description
`TaskThreadFactory(String namePrefix, boolean daemon, int priority)`
Creates a new TaskThreadFactory.

## Method Summary

Modifier and Type
Method
Description
`Thread`
`newThread(Runnable r)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaskThreadFactory

public TaskThreadFactory(String namePrefix, boolean daemon, int priority)
Creates a new TaskThreadFactory.

Parameters:
  `namePrefix` - the prefix for thread names
  `daemon` - whether threads should be daemon threads
  `priority` - the thread priority

## Method Details

### newThread

public Thread newThread(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`